Package org.apache.sling.cms.reference.forms

## Interface FormAction

All Known Implementing Classes:
  `CreateUserAction`, `DeleteUserGeneratedContentAction`, `RequestPasswordResetAction`, `ResetPasswordAction`, `SendEmailAction`, `UpdateProfileAction`, `UpdateUserGeneratedContentAction`, `UserGeneratedContentAction`

    public interface FormAction

A service interface for registering form actions.

### Method Summary

All Methods Instance Methods Abstract Methods
`FormActionResult` `handleForm​(org.apache.sling.api.resource.Resource actionResource, FormRequest request)` Handle a form submission.
`boolean` `handles​(org.apache.sling.api.resource.Resource actionResource)` Checks if the the Form Action should handle the specified request and action

### Method Detail

#### handleForm

    FormActionResult handleForm​(org.apache.sling.api.resource.Resource actionResource,
                                FormRequest request)
                         throws FormException

Handle a form submission. The form can be assumed to have been validated.

Parameters:
  `actionResource` - the configuration to use to configure the form action
  `request` - the form request to handle
Returns:
  the result of the action
Throws:
  `FormException` - an exception occurs handling the form

#### handles

    boolean handles​(org.apache.sling.api.resource.Resource actionResource)

Checks if the the Form Action should handle the specified request and action

Parameters:
  `actionResource` - the resource to check
Returns:
  true if this FormAction should handle the configuration, false otherwise